Galon Cloud
Galon API v1

/received-emails/{email_id}/attachments

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /received-emails/{email_id}/attachments

List a received email's attachments

Key carrying mail:send AND job:read. Served only when inbound is open to the account (404 not_found otherwise).

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
email_idpathstring · required

Responses

StatusDescriptionBody
200Attachment metadataobject
404Not foundError
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/received-emails/<email_id>/attachments" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.receivedEmails.attachments("<id>");

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.received_emails.attachments("<id>")